function init()
	-- TEXT --
	c.name = "Battlecruiser Beam"
	c.class = "gun"
	c.desc = "IT'S OPERATIONAL."
	
	-- SHAPE & PREREQUISITES --
	for x = 0, 2 do
		for y = 0, 4 do
			c.setTile(x,y)
		end
	end
	c.addPreq(1,1)	--req 1 weapon power tile
	
	-- STATS & GUNS --
	c.playable = 1	--can this component be found by the player?
	c.unlockable = 1	--does this component need to be unlocked?
	c.cost = 5000
	
	c.addWeapon("beam_battlecruiser.lua", "beam")
	return 0
end